JUCE: SerialisationSize< T > Struct Template Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
SerialisationSize< T > Struct Template Reference
juce_core » serialisation

Holds a reference to some kind of size value, used to indicate that an object being marshalled is of variable size (e.g. More...

`#include <juce_Serialisation.h>`

## Public Member Functions
auto | operator== (const SerialisationSize &other) const
auto | operator!= (const SerialisationSize &other) const
auto | operator< (const SerialisationSize &other) const
auto | operator<= (const SerialisationSize &other) const
auto | operator> (const SerialisationSize &other) const
auto | operator>= (const SerialisationSize &other) const

## Public Attributes
T & | size

## Detailed Description

template<typename T>
struct SerialisationSize< T >

Holds a reference to some kind of size value, used to indicate that an object being marshalled is of variable size (e.g.

Array, vector, map, set, etc.).

If you need to write your own serialisation routines for a dynamically-sized type, ensure that you archive an instance of SerialisationSize before any of the contents of the container.

Template Parameters

  T | the (probably numeric) type of the size value

See also
  serialisztionSize()

## Member Function Documentation

## ◆ operator==()

template<typename T >

auto SerialisationSize< T >::operator== | ( | const SerialisationSize< T > & | other | ) | const

## ◆ operator!=()

template<typename T >

auto SerialisationSize< T >::operator!= | ( | const SerialisationSize< T > & | other | ) | const

## ◆ operator<()

template<typename T >

auto SerialisationSize< T >::operator< | ( | const SerialisationSize< T > & | other | ) | const

## ◆ operator<=()

template<typename T >

auto SerialisationSize< T >::operator<= | ( | const SerialisationSize< T > & | other | ) | const

## ◆ operator>()

template<typename T >

auto SerialisationSize< T >::operator> | ( | const SerialisationSize< T > & | other | ) | const

## ◆ operator>=()

template<typename T >

auto SerialisationSize< T >::operator>= | ( | const SerialisationSize< T > & | other | ) | const

## Member Data Documentation

## ◆ size

template<typename T >

T& SerialisationSize< T >::size

The documentation for this struct was generated from the following file:

- juce_Serialisation.h